import img.Picture;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.Shape;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Rectangle2D;
import java.awt.geom.RectangularShape;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.PrintStream;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import type.lib.CreditCard;
import type.lib.RewardCard;

/**
 * @author mb
 * 
 */
public class L09App01 {

	public static void main(String[] args) throws IOException,
			ClassNotFoundException {

		PrintStream output = System.out;

		String myFile = File.separator + "Users" + File.separator + "mb"
				+ File.separator + "myObject.obj";
		FileInputStream fis = new FileInputStream(myFile);
		ObjectInputStream ois = new ObjectInputStream(fis);
		Object obj = ois.readObject();

		output.println(obj.getClass());

		Set<Shape> set = (Set<Shape>) obj;

		final int DIM = 300;

		Picture myPict = new Picture(DIM, DIM);
		myPict.show();

		Graphics2D graphicsObject = myPict.getGraphics2D();
		graphicsObject.setPaint(Color.BLACK);

		for (Shape s : set) {
			if (s instanceof Rectangle2D) {
				graphicsObject.fill(s);
			} else {
				graphicsObject.draw(s);
			}
		}

	}
}
