import img.Picture;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.Shape;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Rectangle2D;
import java.awt.geom.RectangularShape;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.io.PrintStream;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import type.lib.CreditCard;
import type.lib.RewardCard;

/**
 * @author mb
 * 
 */
public class L09App01b {

	public static void main(String[] args) throws IOException {

		PrintStream output = System.out;
		final int DIM = 300;
		final int OFFSET = 20;

		Ellipse2D.Double s1 = new Ellipse2D.Double(DIM / 2, DIM / 2, DIM / 10,
				DIM / 10);
		Ellipse2D s2 = new Ellipse2D.Double(DIM / 2 + OFFSET, DIM / 2,
				DIM / 10, DIM / 10);
		RectangularShape s3 = new Ellipse2D.Double(DIM / 2, DIM / 2 + OFFSET,
				DIM / 10, DIM / 10);
		Shape s4 = new Rectangle2D.Double(DIM / 2 + OFFSET, DIM / 2 + OFFSET,
				DIM / 10, DIM / 10);

		Set<Shape> set = new HashSet<Shape>();
		set.add(s1);
		set.add(s2);
		set.add(s3);
		set.add(s4);

		String myPathName = File.separator + "Users" + File.separator + "mb"
				+ File.separator + "myObject.obj";
		FileOutputStream fos = new FileOutputStream(myPathName);
		ObjectOutputStream oos = new ObjectOutputStream(fos);
		oos.writeObject(set);
		oos.close();

		/*
		 * Take home point: this is almost *exactly* the same app as L08App07,
		 * except instead of drawing the shapes in our collection to the screen,
		 * we save them in a file
		 */

	}

}
