import img.Picture;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.Shape;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Rectangle2D;
import java.awt.geom.RectangularShape;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.PrintStream;
import java.util.Collection;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import type.lib.CreditCard;
import type.lib.RewardCard;

/**
 * @author mb
 * 
 */
public class L09App05 {

	public static void main(String[] args) throws IOException,
			ClassNotFoundException {

		final int DIM = 300;

		Set<Shape> set = L09Utility.getShapeCollection(2 * DIM, DIM);

		Picture myPict = new Picture(2 * DIM, DIM);
		myPict.show();

		Graphics2D graphicsObject = myPict.getGraphics2D();
		graphicsObject.setPaint(Color.BLACK);

		for (Shape s : set) {
			graphicsObject.draw(s);
		}

		//graphicsObject.rotate(Math.PI / 2 / 4); // Math.PI/2 represents 90degree
		// // clockwise rotation
		graphicsObject.rotate(Math.PI / 8, DIM / 2, DIM / 2); // Math.PI/2
		// // represents
		// // 90degree clockwise
		// // rotation
		graphicsObject.setPaint(Color.RED);
		for (Shape s : set) {
			graphicsObject.draw(s);
		}

	}
}
